@echo off
cls
echo Bitte die gewuenschte Schnittstelle auswaehlen.
echo Please select the correct interface.
echo Selecteer alstublieft de gewenste aansluiting.
echo.
echo Druecken Sie '1' fuer LPT1: / Press '1' for LPT1: / Kies '1' for LPT1:
echo Druecken Sie '2' fuer LPT2: / Press '2' for LPT2: / Kies '2' for LPT2:
echo Druecken Sie '3' fuer LPT3: / Press '3' for LPT3: / Kies '3' for LPT3:
echo.
set %NO=0
tools\bi "?" [123]
if ERRORLEVEL 1 set NO=1
if ERRORLEVEL 2 set NO=2
if ERRORLEVEL 3 set NO=3
:firmware
cls
echo DER VORGANG KANN BIS ZU 5 MINUTEN DAUERN! BITTE GEDULDEN SIE SICH.
echo.
echo IT WILL TAKE UP TO 5 MINUTES! BE PATIENT.
echo.
echo HET PROCES NEEMT ONGEVEER 5 MINUTEN IN BESLAG. WEES DUS GEDULDIG.
echo.
echo Updating Firmware
echo.
copy /b firmware.prn lpt%NO% >NUL
:done
echo Updatevorgang beendet.
echo Der Drucker sollte sich jetzt im betriebsbereiten Modus befinden.
echo.
echo Updating process done. 
echo The printer should be operational now.
echo.
echo Update proces voltooid. 
echo De printer is nu weer operationeel.
pause
:end